<div class="input-dropdown">
    <input *ngIf="!article.user" type="text" class="form-control" [(ngModel)]="searchInput" (focus)="searchUsersShow()" (blur)="searchUsersHide()" (keyup)="myFunction()" placeholder="Search for user..">
    <input *ngIf="article.user" type="text" class="form-control" [(ngModel)]="searchInput" (focus)="searchUsersShow()" (blur)="searchUsersHide()" (keyup)="myFunction()" [name]="article.user.username" [value]="article.user.username">
<!--    <ul *ngIf="searchShow">-->
<!--        <li *ngFor="let searchUser of searchUsers" [value]="searchUser" (mousedown)="selectUser(searchUser)">{{searchUser.username}} </li>-->
<!--    </ul>-->
    <select *ngIf="searchShow" class="form-control" multiple name="user" [(ngModel)]="article.user">
        <option *ngFor="let searchUser of searchUsers" [value]="searchUser" (mousedown)="selectUser(searchUser)">{{searchUser.username}} </option>
    </select>
</div>
